from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class LegendPosition(IntEnum):
    LINE_START = auto()
    LINE_END = auto()
    PAGE_START = auto()
    PAGE_END = auto()
    CUSTOM = auto()
